<?php

/**
 * @file
 * Theme implementation to display an ArcGIS webmap field.
 */
?>

<script type="text/javascript">
  dojo.require("esri.utils");

  require(["arcGISWebmapField/js/arcgis_webmap_field"],
    function(arcGISWebmap) {
      var map = new arcGISWebmapField('<?php print $arcgis_url; ?>', '<?php print $random_suffix?>');
      <?php if ($item['id_type']): ?>
      map.setMapAppId('<?php print $item['mapid']; ?>');
      <?php else: ?>
      map.setMapId('<?php print $item['mapid']; ?>');
      <?php endif; ?>
      map.showWebMap();
  });

</script>

<div id="arcgis-webmap-<?php print $random_suffix ?>" class="arcgis-webmap claro">
  <div id="arcgis-webmap-titlebar-<?php print $random_suffix ?>" class="arcgis-webmap-titlebar">
  </div>
  <div>
    <div id="arcgis-webmap-legend-<?php print $random_suffix ?>" class="claro arcgis-webmap-legend"></div>
    <div id="arcgis-webmap-field-<?php print $random_suffix ?>" class="claro arcgis-webmap-field"></div>
  </div>
</div>
