<?php
/**
 * @file
 * Code for arcgis_webmap.pages.inc.
 */

function arcgis_webmap_geocode_page() {
  $query = drupal_get_query_parameters();
  $address = isset($query['address']) ? drupal_json_encode($query['address']) : '{}';
  $arcgis_geocode_url = isset($query['arcgis_geocode_url']) ? check_plain($query['arcgis_geocode_url']) : 'http://geocode.arcgis.com/arcgis/rest/services/World/GeocodeServer';

  $page = array(
    '#theme' => 'arcgis_geocode',
    '#address' => $address,
    '#arcgis_geocode_url' => $arcgis_geocode_url,
  );

  print drupal_render($page);
  drupal_exit();
}
